1. Payments
Casharc
Merchant
  • Merchant
  • Getting Started
    • Introduction
    • Authentication
    • Quickstart
  • Core Concepts
    • Statuses
    • Reason Codes
  • Guides
    • Idempotency
    • Metadata
  • Payments
    • Create Payment
      POST
    • List Payments
      GET
    • Retrieve Payment
      GET
    • Confirm Payment
      POST
    • Cancel Payment
      POST
    • Refund Payment
      POST
  • Payouts
    • Create Payout
      POST
    • List Payouts
      GET
    • Retrieve Payout
      GET
    • Cancel Payout
      POST
  • Appeals
    • Create Appeal
      POST
    • List Appeals
      GET
    • Retrieve Appeal
      GET
    • Cancel Appeal
      POST
  • Balance
    • Retrieve Balance
      GET
  • Webhook
    • Verifying webhooks
    • On Status Change
  1. Payments

Create Payment

POST
/payments

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/payments' \
--header 'Idempotency-Key;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "amount": "1000.00",
    "currency": "XTS",
    "requisite": {
        "type": "card"
    },
    "customer": {
        "fingerprint": "pDUmfzi0AivOMiJT5RnC",
        "ip_address": "46.133.76.34",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36"
    }
}'
Response Response Example
201 - Example
{
    "data": {
        "id": "txn_1Cczau8Uw6swxDdMSxFv1u",
        "type": "payment",
        "requested": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "initialized": {
            "amount": "1000.00",
            "currency": "XTS"
        },
        "processed": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "refunded": {
            "amount": "0.00",
            "currency": "XTS"
        },
        "requisite": {
            "type": "card",
            "card": "4242 4242 4242 4242",
            "holder": "Test User",
            "bank": "Test Bank"
        },
        "status": "processing",
        "reason_code": null,
        "expires_at": "2026-01-01T01:04:31Z",
        "created_at": "2026-01-01T00:04:31Z",
        "finalized_at": null
    }
}
Previous
Metadata
Next
List Payments
Built with